#include <kapplication.h>
#include <kcmdlineargs.h>
#include <kconfig.h>
#include <kdebug.h>
#include <kwin.h>

#include "kasitem.h"
#include "kastasker.h"

static KCmdLineOptions options[] =
{
   { "kasbar", "Test the basic kasbar code", 0 },
   KCmdLineLastOption
};

int main( int argc, char **argv )
{
  KCmdLineArgs::init( argc, argv, "testkas", "", "" );
  KCmdLineArgs::addCmdLineOptions( options );
  KApplication app;
  KCmdLineArgs *args = KCmdLineArgs::parsedArgs();

  kdDebug(1345) << "Kasbar starting..." << endl;

  int wflags = Qt::WStyle_Customize | Qt::WStyle_Tool | Qt::WStyle_StaysOnTop;
  KasBar *kasbar;
  KConfig conf( "kasbarrc" );

  if ( args->isSet("kasbar") ) {
      kasbar = new KasBar( Qt::Vertical, 0, "testkas" );
      kasbar->append( new KasItem(kasbar) );
      kasbar->append( new KasItem(kasbar) );
      kasbar->append( new KasItem(kasbar) );

  }
  else {
      KasTasker *kastasker = new KasTasker( Qt::Vertical, 0, "testkas", wflags );
      kastasker->setConfig( &conf );
      kasbar = kastasker;
  }

  kasbar->setItemSize( KasBar::Large );
//  kasbar->move( 1200, 512 );

  kdDebug(1345) << "Kasbar about to show" << endl;
  app.setMainWidget( kasbar );
  kasbar->show();

  kasbar->setTransparent( true );
  KWin::setOnAllDesktops( kasbar->winId(), true );
  kdDebug() << "kasbar: Window id is " << kasbar->winId() << endl;

  app.connect( &app, SIGNAL( lastWindowClosed() ), SLOT(quit()) );

  return app.exec();
}

